package com.cloudcross.ssp.back.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.back.model.Advertiser;
import com.cloudcross.ssp.base.service.IGenericService;


public interface IAdvertiserService extends IGenericService<Advertiser>{
	
	//用状态和搜索条件查找广告主
	public int countByStatus(Map<String, Object> paramMap);
	
	public List<Advertiser> findByStatus(Map<String, Object> paramMap);

	public long findByName(String name);
	
	double sumBalanceById(Map<String, Object> paramMap);
	
	public List<Advertiser> findByAgentId(Long id);
	//向t_adgroup里面插入Supdated
	public boolean updateSupdated(List<Long> advertiserIdList, int status);
	
	//导出Excel用
	public List<Advertiser> findDeliverEffectAnalysis(Map<String, Object> paramMap);
}
